Bug 1274786 (CVE-2015-4895) - CVE-2015-4895 mysql: unspecified vulnerability related to Server:InnoDB (CPU October 2015)
Summary: CVE-2015-4895 mysql: unspecified vulnerability related to Server:InnoDB (CPU ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-4895
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1276223 1276224 1276225 1330444 1330445
Blocks: 1274745
TreeView+ depends on / blocked
 
Reported: 2015-10-23 14:06 UTC by Martin Prpič
Modified: 2019-09-29 13:39 UTC (History)
22 users (show)

Fixed In Version: mysql 5.6.26, mariadb 10.1.8, mariadb 10.0.21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:44:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1132 normal SHIPPED_LIVE Important: rh-mariadb100-mariadb security update 2016-05-26 12:35:06 UTC

Description Martin Prpič 2015-10-23 14:06:05 UTC
Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server : InnoDB). Supported versions that are affected are 5.6.25 and earlier. Difficult to exploit vulnerability allows successful authenticated network attacks via multiple protocols. Successful attack of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

http://www.oracle.com/technetwork/topics/security/cpuoct2015-2367953.html#AppendixMSQL

Comment 1 Huzaifa S. Sidhpurwala 2015-10-29 06:15:19 UTC
This issue was addressed in mariadb-10.0.21 as per the release notes at:

https://mariadb.com/kb/en/mariadb/mariadb-10021-release-notes/

Comment 2 Huzaifa S. Sidhpurwala 2015-10-29 07:07:11 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1276224]

Comment 3 Huzaifa S. Sidhpurwala 2015-10-29 07:07:26 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1276223]

Comment 4 Huzaifa S. Sidhpurwala 2015-10-29 07:07:37 UTC
Created mariadb-galera tracking bugs for this issue:

Affects: fedora-all [bug 1276225]

Comment 6 Tomas Hoger 2016-01-26 11:55:18 UTC
Oracle CPU indicates this issue was fixed in MySQL 5.6.26, hence it was already corrected in the following update released in August 2015:

Red Hat Software Collections - rh-mysql56-mysql
  https://rhn.redhat.com/errata/RHSA-2015-1630.html

MariaDB upstream indicates this was fixed in versions 10.0.21 and 10.1.8:

https://mariadb.com/kb/en/mariadb/mariadb-10021-release-notes/
https://mariadb.com/kb/en/mariadb/mariadb-1018-release-notes/

Comment 8 errata-xmlrpc 2016-05-26 08:41:02 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2016:1132 https://access.redhat.com/errata/RHSA-2016:1132


Note You need to log in before you can comment on or make changes to this bug.